﻿using System.Windows.Forms;

namespace NKnobMan.Monochrome
{
    class Program
    {
        static void Main(string[] args)
        {
            if ( KnobMan.Default == null )
            {
                return;
            }
            MessageBox.Show(KnobMan.Default, "Change to Monochrome", "Monochrome");

            foreach (Layer layer in KnobMan.Default.Layers)
            {
                layer.Colors.Saturation.From = -100;
                layer.Colors.Saturation.To = -100;
            }

            MessageBox.Show(KnobMan.Default, "Completed", "Monochrome");
        }
    }
}
